: Class OPfunction

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jel
Class OPfunction

    java.lang.Object
      |
      +--gnu.jel.OP
            |
            +--gnu.jel.OPfunction

Direct Known Subclasses:
  OPbinary, OPcall, OPcondtnl, OPunary

public abstract class OPfunction
extends OP

Fields inherited from class gnu.jel.OP
`next, prev, resID, resType`

Constructor Summary
`OPfunction()`

Method Summary
`protected void` | `compile_par(ClassFile cf)` Called to generate the code after a parameter is processed.
`protected void` | `compile_pre(ClassFile cf)` Called to generate the code before the parameters processing starts.
`protected abstract void` | `eval(OPlist list)` Attempts to evaluate this function.
`protected abstract int` | `getNParams()` Returns number of parameters for this function.

Methods inherited from class gnu.jel.OP
`compile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OPfunction

    public OPfunction()

Method Detail

### getNParams

    protected abstract int getNParams()

  Returns number of parameters for this function.

### eval

    protected abstract void eval(OPlist list)

  Attempts to evaluate this function.
  Parameters:
    `list` - is the list of OPs this one belong to, if eval is unsuccessful this list is not modified.

### compile_pre

    protected void compile_pre(ClassFile cf)

  Called to generate the code before the parameters processing starts.
  Parameters:
    `cf` - class file to write the code into.

### compile_par

    protected void compile_par(ClassFile cf)

  Called to generate the code after a parameter is processed.
  Parameters:
    `cf` - class file to write the code into.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD